//
//  CustomerServicePowerHttpPostCmd.m
//  MobilePortal
//
//  Created by xie on 2024/1/17.
//  Copyright © 2024 yin chen. All rights reserved.
//

#import "CustomerServicePowerHttpPostCmd.h"
#import "CustomerServiceHttpResult.h"

static NSString *kActionUrl1 = @"/ZhiNengKeFuController/isPermissions";

@implementation CustomerServicePowerHttpPostCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[CustomerServicePowerHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[CustomerServiceHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    return kActionUrl1;
}
@end
NSString *const kHttpCustomerServicePowerHttpPostCmd_empid = @"empid";
NSString *const kHttpCustomerServicePowerHttpPostCmd_attr = @"attr";
